#include <Fl/Fl.h>
#include "ColorCubeWindow.h"
#include <Fl/Fl_Slider.h>
#include <iostream>


static void
Slider_Callback(Fl_Widget *w, void *data)
{
    Fl_Slider	    *slider = (Fl_Slider*)w;
    ColorCubeWindow *cube = (ColorCubeWindow*)data;

    cube->Set_Range((float)slider->value());
}


int
main(int argc, char *argv[])
{
    Fl_Window	    window(20, 20, 720, 750, "ColorCube");
    ColorCubeWindow *cube_window;
    Fl_Slider       *slider;
    
    window.begin();

    cube_window = new ColorCubeWindow(10, 10, 700, 700, "ColorCube");
    slider = new Fl_Slider(10, 720, 700, 20);
    slider->type(FL_HOR_NICE_SLIDER);
    slider->value(1.0);
    slider->slider_size(0.02);
    slider->callback(Slider_Callback, (void*)cube_window);

    window.end();

    window.show();
    return Fl::run();
}
