#ifndef _COLORCUBEWINDOW_H_
#define _COLORCUBEWINDOW_H_

#include <Fl/Fl.h>
#include <Fl/Fl_Gl_Window.h>

class ColorCubeWindow : public Fl_Gl_Window {
    public:
	ColorCubeWindow(int, int, char*);
	ColorCubeWindow(int, int, int, int, char*);

	void 	draw(void);
	int     handle(int);

	void    Set_Range(float r){ range = r; invalidate(); Fl::redraw(); };

    private:
	double	theta;
	double	phi;

	float   range;

	double	scale_to_top;
	double	scale_to_bottom;
	double	scale_horiz;
	double	init_theta;
	double	init_phi;
	int	start_x;
	int	start_y;

	void	Button_Down(void);
	void	Button_Drag(void);
	void	Draw_X_Face(float, float, float, float, float);
	void	Draw_Y_Face(float, float, float, float, float);
	void	Draw_Z_Face(float, float, float, float, float);
};

#endif
