#include <Fl/Fl.h>
#include "HSVConeWindow.h"
#include <Fl/Fl_Slider.h>
#include <iostream>


static void
Slider_Callback(Fl_Widget *w, void *data)
{
    Fl_Slider	    *slider = (Fl_Slider*)w;
    HSVConeWindow   *cone = (HSVConeWindow*)data;

    cone->Set_Range((float)slider->value());
}


int
main(int argc, char *argv[])
{
    Fl_Window	    window(20, 20, 820, 850, "HSVCone");
    HSVConeWindow   *cone_window;
    Fl_Slider       *slider;
    
    window.begin();

    cone_window = new HSVConeWindow(10, 10, 800, 800, "HSVCone");
    slider = new Fl_Slider(10, 820, 800, 20);
    slider->type(FL_HOR_NICE_SLIDER);
    slider->value(1.0);
    slider->slider_size(0.02);
    slider->callback(Slider_Callback, (void*)cone_window);

    window.end();

    window.show();
    return Fl::run();
}
