#ifndef _HSVCONEWINDOW_H_
#define _HSVCONEWINDOW_H_

#include <Fl/Fl.h>
#include <Fl/Fl_Gl_Window.h>

class HSVConeWindow : public Fl_Gl_Window {
    public:
	HSVConeWindow(int, int, char*);
	HSVConeWindow(int, int, int, int, char*);

	void 	draw(void);
	int     handle(int);

	void    Set_Range(float r){ range = r; invalidate(); Fl::redraw(); };

    private:
	double	theta;
	double	phi;

	float   range;

	double	scale_to_top;
	double	scale_to_bottom;
	double	scale_horiz;
	double	init_theta;
	double	init_phi;
	int	start_x;
	int	start_y;

	void	Button_Down(void);
	void	Button_Drag(void);
	void	Draw_Side_Face();
	void	Draw_Top_Face();
	void 	HSV_To_RGB(float, float, float, float&, float&, float&);
};

#endif
